###POlicy area-level analysis. Specific policy categories. Semester time period.

library(ggplot2)
library(car)

finaldataSP<-read.table('./intermediate data/finaldataSPsemester')
lexpolSP<-read.table('./intermediate data/lexpolSPsemester')

results<-matrix(NA, 65,9)

x<-1:NROW(lexpolSP)

for (i in x) {
  results[i,1]<-as.character(lexpolSP[i,1])
  
  temp1<-t(as.vector(finaldataSP[i,])) #IGs
  temp2<-t(as.vector(lexpolSP[i,])) #laws
  interest.groups<-as.numeric(temp1[2:29])
  laws<-as.numeric(temp2[2:29])
  
  interest.groupsL1<-c(NA, interest.groups[1:27])
  lawsL1<-c(NA, laws[1:27])
  
  #ccf(interest.groups,laws, type="correlation",na.action=na.contiguous, main=as.character(lexpolG[i,25]))
  
  t2<-lm(interest.groups~interest.groupsL1+lawsL1)
  results[i,2]<-round(t2$coefficients[2], digits=3)  		#coef iGL1
  results[i,5]<-round(t2$coefficients[3], digits=3)			#coef LAWSL1
    results[i,3]<-round(coef(summary(t2))[,'Std. Error'][2], digits=3)	#st.errror IGL1
    results[i,6]<-round(coef(summary(t2))[,'Std. Error'][3], digits=3)	#st.error LAWSL1
    results[i,4]<-round(anova(t2)[1,5], digits=2)				#p-value IGL1
    results[i,7]<-round(anova(t2)[2,5], digits=2)				#p-value LAWSL1
    results[i,8]<-round((sum(interest.groups, na.rm=T)/17),digits=0)	#sumIG
    results[i,9]<-sum(laws, na.rm=T)				#sumLAWS
  }

results<-as.data.frame(results[-c(3,8,10,35,37,47,51),])
colnames(results)<-c('policy.area.','INTG.L1','st.error','p-v','LAWS.L1','st.error2','p-v2','mean.INTG','sum.LAWS')

###Write the table of results
write.csv(results, './results/semester/lawsONintgroupsSPECIFIC.csv')


###Prepare the dotplots
results$LAWS.L1<-as.numeric(as.character(results$LAWS.L1))
results$se2<-as.numeric(as.character(results$st.error2))
results$lower<-results$LAWS.L1-results$se2*1.96
results$upper<-results$LAWS.L1+results$se2*1.96

results$policy.area <- reorder(results$policy.area, results$LAWS.L1)

plot1 <- ggplot(results, aes(LAWS.L1, policy.area)) + geom_point(size = 3.5) + ylab("")+xlab('Regression coefficient and 95% confidence intervals for the effect of the\n(lagged) volume of new legislation on the number of newly registered interest groups')

plot2<-plot1 + geom_vline(aes(xintercept = 0), linetype = 2) + geom_segment(aes(x=lower, xend=upper, yend=policy.area))

png(file="./results/semester/lawsONintgroupsSPECIFIC.png",width=620,height=800)
plot2
dev.off()


##2. Effect of interest groups on legislative volume

results<-matrix(NA, 65,9)
x<-1:NROW(lexpolSP)
for (i in x) {
  results[i,1]<-as.character(lexpolSP[i,1])
  
  temp1<-t(as.vector(finaldataSP[i,])) #IGs
  temp2<-t(as.vector(lexpolSP[i,])) #laws
  interest.groups<-as.numeric(temp1[2:29])
  laws<-as.numeric(temp2[2:29])

  interest.groupsL1<-c(NA, interest.groups[1:27])
  lawsL1<-c(NA, laws[1:27])
  
  #ccf(interest.groups,laws, type="correlation",na.action=na.contiguous, main=as.character(lexpolG[i,25]))
  
  t2<-lm(laws~interest.groupsL1+lawsL1)
  results[i,2]<-round(t2$coefficients[2], digits=3)			#coef iGL1
    results[i,5]<-round(t2$coefficients[3], digits=3)			#coef LAWSL1
    results[i,3]<-round(coef(summary(t2))[,'Std. Error'][2], digits=3)	#st.errror IGL1
    results[i,6]<-round(coef(summary(t2))[,'Std. Error'][3], digits=3)	#st.error LAWSL1
    results[i,4]<-round(anova(t2)[1,5], digits=2)				#p-value IGL1
    results[i,7]<-round(anova(t2)[2,5], digits=2)				#p-value LAWSL1
    results[i,8]<-round((sum(interest.groups, na.rm=T)/17),digits=0)	#sumIG
    results[i,9]<-sum(laws, na.rm=T)				#sumLAWS
  }


results<-as.data.frame(results[-c(3,8,10,35,37,47,51),])
colnames(results)<-c('policy.area.','INTG.L1','st.error','p-v','LAWS.L1','st.error2','p-v2','mean.INTG','sum.LAWS')

###Write the table of results
write.csv(results, './results/semester/intgroupsONlawsSPECIFIC.csv')


###Prepare the dotplots

results$INTG.L1<-as.numeric(as.character(results$INTG.L1))
results$se<-as.numeric(as.character(results$st.error))
results$lower<-results$INTG.L1-results$se*1.96
results$upper<-results$INTG.L1+results$se*1.96


results$policy.area <- reorder(results$policy.area., results$INTG.L1)

plot1 <- ggplot(results, aes(INTG.L1, policy.area)) + geom_point(size = 3.5) + ylab("")+xlab('Regression coefficient and 95% confidence intervals for the effect of the\n(lagged) number of newly registered interest groups on the volume of new legislation')

plot2<-plot1 + geom_vline(aes(xintercept = 0), linetype = 2) + geom_segment(aes(x=lower, xend=upper, yend=policy.area))

png(file="./results/semester/intgroupsONlawsSPECIFIC.png",width=620,height=800)
plot2
dev.off()

#####
#####
#####
#####END

