### Multilevel models. General categories. Semester data.
library(ggplot2)
library(car)

finaldataG<-read.table('./intermediate data/finaldataGsemester')
lexpolG<-read.table('./intermediate data/lexpolGsemester')


melt.IG<-melt(finaldataG, id='policy.field')
melt.IG$id<-paste(melt.IG$policy.field, melt.IG$variable, sep='.')
colnames(melt.IG)<-c('policy.field', 'time', 'ig', 'id')
melt.IG$semester<-as.numeric(as.character(substr(melt.IG$time, 7,7)))
melt.IG$year<-as.numeric(as.character(substr(melt.IG$time, 2,5)))


melt.IG$igL1<-NA
for (i in 1:NROW(melt.IG)){
for (j in 1:NROW(melt.IG)){
  if (melt.IG$semester[i]==melt.IG$semester[j])
    next
  else
    if (melt.IG$semester[i]>melt.IG$semester[j] & melt.IG$year[i]==melt.IG$year[j] & melt.IG$policy.field[i]==melt.IG$policy.field[j])
      melt.IG$igL1[i]<-melt.IG$ig[j]
  else
    if (melt.IG$semester[i]<melt.IG$semester[j] & melt.IG$year[i]==(melt.IG$year[j]+1) & melt.IG$policy.field[i]==melt.IG$policy.field[j])
      melt.IG$igL1[i]<-melt.IG$ig[j]
  else 
    next}}

##################################
##################################
##################################
melt.LEX<-melt(lexpolG, id='policy.area')
melt.LEX$id<-paste(melt.LEX$policy.area, melt.LEX$variable, sep='.')

colnames(melt.LEX)<-c('policy.field', 'time', 'lex', 'id')
melt.LEX$semester<-as.numeric(as.character(substr(melt.LEX$time, 7,7)))
melt.LEX$year<-as.numeric(as.character(substr(melt.LEX$time, 2,5)))
melt.LEX$lex<-as.numeric(as.character(melt.LEX$lex))

melt.LEX$lexL1<-NA
for (i in 1:NROW(melt.LEX)){
  for (j in 1:NROW(melt.LEX)){
    if (melt.LEX$semester[i]==melt.LEX$semester[j])
      next
    else
      if (melt.LEX$semester[i]>melt.LEX$semester[j] & melt.LEX$year[i]==melt.LEX$year[j] & melt.LEX$policy.field[i]==melt.LEX$policy.field[j])
        melt.LEX$lexL1[i]<-melt.LEX$lex[j]
    else
      if (melt.LEX$semester[i]<melt.LEX$semester[j] & melt.LEX$year[i]==(melt.LEX$year[j]+1) & melt.LEX$policy.field[i]==melt.LEX$policy.field[j])
        melt.LEX$lexL1[i]<-melt.LEX$lex[j]
    else 
      next}}

melt.IG
melt.LEX

long.data<-merge(melt.IG, melt.LEX, by.x='id', by.y='id')
long.data$poltype<-as.factor(recode(long.data$policy.field.x, "'05'='soc';'15'='soc';'16'='soc';'11'='other';'14'='other';'18'='other';'19'='other';else = 'bus'"))

####the models
library(arm)
library(lme4)
attach(long.data)
m1<-lmer(ig~igL1+lexL1+poltype+poltype:igL1+poltype:lexL1+(igL1+lexL1+1|policy.field.x), data=long.data) 
display(m1)
summary(m1)
Anova(m1)

m2<-lmer(lex~igL1+lexL1+poltype+poltype:igL1+poltype:lexL1+(igL1+lexL1+1|policy.field.x), data=long.data) 
display(m2)
summary(m2)
Anova(m2)
